QR Code for downloading the Libby App from the Apple or Google Play stores

Apple (iOS) Libby & OverDrive App Update

Attention Apple (iOS) Libby and OverDrive app users- changes are here!

Due to a recent web certificate change at OverDrive, iPhones and iPads will need to be updated to the iOS 10 (or higher) operating system in order to continue using the Libby and OverDrive apps. Similarly, Mac users will need to have macOS 10.12.1 through 10.14 to continue using the desktop app.

Not a current Libby app user, but want to start downloading thousands of eBooks and eAudiobooks for free with just your library card? Download the Libby app here: overdrive.com/apps/libby/ or visit https://ecrl.overdrive.com/

Learn more about these changes on the OverDrive Help page: https://help.overdrive.com/en-us/2289.htm

Share this post:

Share on facebook
Facebook
Share on twitter
Twitter
Share on linkedin
LinkedIn